Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SetParameter

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.SetParameterOrBuilder`, `Serializable`

Enclosing class:
  ClientWireProtocol

    public static final class ClientWireProtocol.SetParameter
    extends com.google.protobuf.GeneratedMessageV3
    implements ClientWireProtocol.SetParameterOrBuilder

Protobuf type `xg.cmdcomp.SetParameter`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `ClientWireProtocol.SetParameter.Builder` | Protobuf type `xg.cmdcomp.SetParameter`
`static class` | `ClientWireProtocol.SetParameter.Concurrency` | Protobuf type `xg.cmdcomp.SetParameter.Concurrency`
`static interface` | `ClientWireProtocol.SetParameter.ConcurrencyOrBuilder` |
`static class` | `ClientWireProtocol.SetParameter.ForceExternal` | Protobuf type `xg.cmdcomp.SetParameter.ForceExternal`
`static interface` | `ClientWireProtocol.SetParameter.ForceExternalOrBuilder` |
`static class` | `ClientWireProtocol.SetParameter.MaxTempDiskLimit` | Protobuf type `xg.cmdcomp.SetParameter.MaxTempDiskLimit`
`static interface` | `ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder` |
`static class` | `ClientWireProtocol.SetParameter.ParameterCase` |
`static class` | `ClientWireProtocol.SetParameter.Priority` | Protobuf type `xg.cmdcomp.SetParameter.Priority`
`static interface` | `ClientWireProtocol.SetParameter.PriorityOrBuilder` |
`static class` | `ClientWireProtocol.SetParameter.PSO` | Protobuf type `xg.cmdcomp.SetParameter.PSO`
`static interface` | `ClientWireProtocol.SetParameter.PSOOrBuilder` |
`static class` | `ClientWireProtocol.SetParameter.PSOSeed` | Protobuf type `xg.cmdcomp.SetParameter.PSOSeed`
`static interface` | `ClientWireProtocol.SetParameter.PSOSeedOrBuilder` |
`static class` | `ClientWireProtocol.SetParameter.ResultSetColumnLimit` | Protobuf type `xg.cmdcomp.SetParameter.ResultSetColumnLimit`
`static interface` | `ClientWireProtocol.SetParameter.ResultSetColumnLimitOrBuilder` |
`static class` | `ClientWireProtocol.SetParameter.RowLimit` | Protobuf type `xg.cmdcomp.SetParameter.RowLimit`
`static interface` | `ClientWireProtocol.SetParameter.RowLimitOrBuilder` |
`static class` | `ClientWireProtocol.SetParameter.TimeLimit` | Protobuf type `xg.cmdcomp.SetParameter.TimeLimit`
`static interface` | `ClientWireProtocol.SetParameter.TimeLimitOrBuilder` |

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONCURRENCY_FIELD_NUMBER` |
`static int` | `FORCE_EXTERNAL_FIELD_NUMBER` |
`static int` | `PRIORITY_FIELD_NUMBER` |
`static int` | `PSO_SEED_FIELD_NUMBER` |
`static int` | `PSO_THRESHOLD_FIELD_NUMBER` |
`static int` | `RESET_FIELD_NUMBER` |
`static int` | `RESULT_SET_COLUMN_LIMIT_FIELD_NUMBER` |
`static int` | `ROW_LIMIT_FIELD_NUMBER` |
`static int` | `TEMP_DISK_LIMIT_FIELD_NUMBER` |
`static int` | `TIME_LIMIT_FIELD_NUMBER` |

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` |
`ClientWireProtocol.SetParameter.Concurrency` | `getConcurrency()` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.ConcurrencyOrBuilder` | `getConcurrencyOrBuilder()` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`static ClientWireProtocol.SetParameter` | `getDefaultInstance()` |
`ClientWireProtocol.SetParameter` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`ClientWireProtocol.SetParameter.ForceExternal` | `getForceExternal()` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.ForceExternalOrBuilder` | `getForceExternalOrBuilder()` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.ParameterCase` | `getParameterCase()` |
`com.google.protobuf.Parser<ClientWireProtocol.SetParameter>` | `getParserForType()` |
`ClientWireProtocol.SetParameter.Priority` | `getPriority()` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.PriorityOrBuilder` | `getPriorityOrBuilder()` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.PSOSeed` | `getPsoSeed()` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`ClientWireProtocol.SetParameter.PSOSeedOrBuilder` | `getPsoSeedOrBuilder()` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`ClientWireProtocol.SetParameter.PSO` | `getPsoThreshold()` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`ClientWireProtocol.SetParameter.PSOOrBuilder` | `getPsoThresholdOrBuilder()` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`boolean` | `getReset()` | whether we should reset back to the default, overrides whatever threshold is
`ClientWireProtocol.SetParameter.ResultSetColumnLimit` | `getResultSetColumnLimit()` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`ClientWireProtocol.SetParameter.ResultSetColumnLimitOrBuilder` | `getResultSetColumnLimitOrBuilder()` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`ClientWireProtocol.SetParameter.RowLimit` | `getRowLimit()` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`ClientWireProtocol.SetParameter.RowLimitOrBuilder` | `getRowLimitOrBuilder()` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`int` | `getSerializedSize()` |
`ClientWireProtocol.SetParameter.MaxTempDiskLimit` | `getTempDiskLimit()` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder` | `getTempDiskLimitOrBuilder()` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.TimeLimit` | `getTimeLimit()` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.TimeLimitOrBuilder` | `getTimeLimitOrBuilder()` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
`boolean` | `hasConcurrency()` | `.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`boolean` | `hasForceExternal()` | `.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`int` | `hashCode()` |
`boolean` | `hasPriority()` | `.xg.cmdcomp.SetParameter.Priority priority = 6;`
`boolean` | `hasPsoSeed()` | `.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`
`boolean` | `hasPsoThreshold()` | `.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`
`boolean` | `hasResultSetColumnLimit()` | `.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`
`boolean` | `hasRowLimit()` | `.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`
`boolean` | `hasTempDiskLimit()` | `.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`boolean` | `hasTimeLimit()` | `.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`static ClientWireProtocol.SetParameter.Builder` | `newBuilder()` |
`static ClientWireProtocol.SetParameter.Builder` | `newBuilder​(ClientWireProtocol.SetParameter prototype)` |
`ClientWireProtocol.SetParameter.Builder` | `newBuilderForType()` |
`protected ClientWireProtocol.SetParameter.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
`protected Object` | `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)` |
`static ClientWireProtocol.SetParameter` | `parseDelimitedFrom​(InputStream input)` |
`static ClientWireProtocol.SetParameter` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.SetParameter` | `parseFrom​(byte[] data)` |
`static ClientWireProtocol.SetParameter` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.SetParameter` | `parseFrom​(com.google.protobuf.ByteString data)` |
`static ClientWireProtocol.SetParameter` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.SetParameter` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
`static ClientWireProtocol.SetParameter` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.SetParameter` | `parseFrom​(InputStream input)` |
`static ClientWireProtocol.SetParameter` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.SetParameter` | `parseFrom​(ByteBuffer data)` |
`static ClientWireProtocol.SetParameter` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static com.google.protobuf.Parser<ClientWireProtocol.SetParameter>` | `parser()` |
`ClientWireProtocol.SetParameter.Builder` | `toBuilder()` |
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### RESET_FIELD_NUMBER

public static final int RESET_FIELD_NUMBER

See Also:
  Constant Field Values

### PSO_THRESHOLD_FIELD_NUMBER

public static final int PSO_THRESHOLD_FIELD_NUMBER

See Also:
  Constant Field Values

### ROW_LIMIT_FIELD_NUMBER

public static final int ROW_LIMIT_FIELD_NUMBER

See Also:
  Constant Field Values

### TIME_LIMIT_FIELD_NUMBER

public static final int TIME_LIMIT_FIELD_NUMBER

See Also:
  Constant Field Values

### TEMP_DISK_LIMIT_FIELD_NUMBER

public static final int TEMP_DISK_LIMIT_FIELD_NUMBER

See Also:
  Constant Field Values

### PRIORITY_FIELD_NUMBER

public static final int PRIORITY_FIELD_NUMBER

See Also:
  Constant Field Values

### CONCURRENCY_FIELD_NUMBER

public static final int CONCURRENCY_FIELD_NUMBER

See Also:
  Constant Field Values

### PSO_SEED_FIELD_NUMBER

public static final int PSO_SEED_FIELD_NUMBER

See Also:
  Constant Field Values

### RESULT_SET_COLUMN_LIMIT_FIELD_NUMBER

public static final int RESULT_SET_COLUMN_LIMIT_FIELD_NUMBER

See Also:
  Constant Field Values

### FORCE_EXTERNAL_FIELD_NUMBER

public static final int FORCE_EXTERNAL_FIELD_NUMBER

See Also:
  Constant Field Values

## Method Details

### newInstance

protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getParameterCase

public ClientWireProtocol.SetParameter.ParameterCase getParameterCase()

Specified by:
  `getParameterCase` in interface `ClientWireProtocol.SetParameterOrBuilder`

### getReset

public boolean getReset()

    whether we should reset back to the default, overrides whatever threshold is

`bool reset = 1;`

Specified by:
  `getReset` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The reset.

### hasPsoThreshold

public boolean hasPsoThreshold()
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

Specified by:
  `hasPsoThreshold` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the psoThreshold field is set.

### getPsoThreshold

public ClientWireProtocol.SetParameter.PSO getPsoThreshold()
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

Specified by:
  `getPsoThreshold` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The psoThreshold.

### getPsoThresholdOrBuilder

public ClientWireProtocol.SetParameter.PSOOrBuilder getPsoThresholdOrBuilder()
`.xg.cmdcomp.SetParameter.PSO pso_threshold = 2;`

Specified by:
  `getPsoThresholdOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasRowLimit

public boolean hasRowLimit()
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Specified by:
  `hasRowLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the rowLimit field is set.

### getRowLimit

public ClientWireProtocol.SetParameter.RowLimit getRowLimit()
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Specified by:
  `getRowLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The rowLimit.

### getRowLimitOrBuilder

public ClientWireProtocol.SetParameter.RowLimitOrBuilder getRowLimitOrBuilder()
`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Specified by:
  `getRowLimitOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasTimeLimit

public boolean hasTimeLimit()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Specified by:
  `hasTimeLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the timeLimit field is set.

### getTimeLimit

public ClientWireProtocol.SetParameter.TimeLimit getTimeLimit()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Specified by:
  `getTimeLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The timeLimit.

### getTimeLimitOrBuilder

public ClientWireProtocol.SetParameter.TimeLimitOrBuilder getTimeLimitOrBuilder()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Specified by:
  `getTimeLimitOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasTempDiskLimit

public boolean hasTempDiskLimit()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Specified by:
  `hasTempDiskLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the tempDiskLimit field is set.

### getTempDiskLimit

public ClientWireProtocol.SetParameter.MaxTempDiskLimit getTempDiskLimit()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Specified by:
  `getTempDiskLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The tempDiskLimit.

### getTempDiskLimitOrBuilder

public ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder getTempDiskLimitOrBuilder()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Specified by:
  `getTempDiskLimitOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasPriority

public boolean hasPriority()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Specified by:
  `hasPriority` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the priority field is set.

### getPriority

public ClientWireProtocol.SetParameter.Priority getPriority()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Specified by:
  `getPriority` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The priority.

### getPriorityOrBuilder

public ClientWireProtocol.SetParameter.PriorityOrBuilder getPriorityOrBuilder()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Specified by:
  `getPriorityOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasConcurrency

public boolean hasConcurrency()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Specified by:
  `hasConcurrency` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the concurrency field is set.

### getConcurrency

public ClientWireProtocol.SetParameter.Concurrency getConcurrency()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Specified by:
  `getConcurrency` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The concurrency.

### getConcurrencyOrBuilder

public ClientWireProtocol.SetParameter.ConcurrencyOrBuilder getConcurrencyOrBuilder()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Specified by:
  `getConcurrencyOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasPsoSeed

public boolean hasPsoSeed()
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

Specified by:
  `hasPsoSeed` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the psoSeed field is set.

### getPsoSeed

public ClientWireProtocol.SetParameter.PSOSeed getPsoSeed()
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

Specified by:
  `getPsoSeed` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The psoSeed.

### getPsoSeedOrBuilder

public ClientWireProtocol.SetParameter.PSOSeedOrBuilder getPsoSeedOrBuilder()
`.xg.cmdcomp.SetParameter.PSOSeed pso_seed = 8;`

Specified by:
  `getPsoSeedOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasResultSetColumnLimit

public boolean hasResultSetColumnLimit()
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Specified by:
  `hasResultSetColumnLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the resultSetColumnLimit field is set.

### getResultSetColumnLimit

public ClientWireProtocol.SetParameter.ResultSetColumnLimit getResultSetColumnLimit()
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Specified by:
  `getResultSetColumnLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The resultSetColumnLimit.

### getResultSetColumnLimitOrBuilder

public ClientWireProtocol.SetParameter.ResultSetColumnLimitOrBuilder getResultSetColumnLimitOrBuilder()
`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Specified by:
  `getResultSetColumnLimitOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasForceExternal

public boolean hasForceExternal()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Specified by:
  `hasForceExternal` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the forceExternal field is set.

### getForceExternal

public ClientWireProtocol.SetParameter.ForceExternal getForceExternal()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Specified by:
  `getForceExternal` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The forceExternal.

### getForceExternalOrBuilder

public ClientWireProtocol.SetParameter.ForceExternalOrBuilder getForceExternalOrBuilder()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Specified by:
  `getForceExternalOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static ClientWireProtocol.SetParameter parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SetParameter parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SetParameter parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SetParameter parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SetParameter parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SetParameter parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.SetParameter parseFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.SetParameter parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.SetParameter parseDelimitedFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.SetParameter parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.SetParameter parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.SetParameter parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.SetParameter.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static ClientWireProtocol.SetParameter.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.SetParameter.Builder newBuilder​(ClientWireProtocol.SetParameter prototype)

### toBuilder

public ClientWireProtocol.SetParameter.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected ClientWireProtocol.SetParameter.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.SetParameter getDefaultInstance()

### parser

public static com.google.protobuf.Parser<ClientWireProtocol.SetParameter> parser()

### getParserForType

public com.google.protobuf.Parser<ClientWireProtocol.SetParameter> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.SetParameter getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`